#!/usr/bin/python
# -*- coding: utf-8 -*-
"""
Первая строка заголовка позволяет запускать файл как script,
вызывающий интерпретатор неявно, например. в контексте CGI.
Вторая строка - определение кодировки utf-8
Python по умолчанию будет использовать ASCII в качестве стандартной кодировки, если не будет другого
"""
# Создание окна с параметрами по умолчанию

"""
Текстовые метки в Python представлены элементом Label. Этот элемент позволяет выводить статический текст 
без возможности редактирования.
Для создания элемента Label применяется конструктор, который принимает два параметра: Label(master, options)
Параметр master представляет ссылку на родительский контейнер, а параметр options представляет 
следующие именованные параметры
anchor: устанавливает позиционирование текста. Пример: 

NW      N       NE

W    CENTER      E

SW      S       SE

bg/background: фоновый цвет
bitmap: ссылка на изображение, которое отображается на метке
bd: толщина границы метки
fg/foreground: цвет текста
font: шрифт текста, например, font="Arial 14" - шрифт Arial высотой 14px
height: высота элемента
cursor: курсор указателя мыши при наведении на метку
image: ссылка на изображение, которое отображается на метке
justify: устанавливает выравнивание текста. Значение LEFT выравнивает текст по левому краю, CENTER - по центру, RIGHT - по правому краю
padx: отступ от границ элемента до его текста справа и слева
pady: отступ от границ элемента до его текста сверху и снизу
relief: определяет тип границы, по умолчанию значение FLAT
text: устанавливает текст метки
textvariable: устанавливает привязку к элементу StringVar
underline: указывает на номер символа в тексте кнопки, который подчеркивается. По умолчанию значение -1, то есть никакой символ не подчеркивается
width: ширина элемента
wraplength: при положительном значении строки текста будут переносится для вмещения в пространство элемента

"""
from Tkinter import *

"""
Определим функцию btn1Text, которая по нажатии кнопки 1 выводит текст "Нажата кнопка 1"
в lbl1 и изменяет его цвет. Обратите внимание, как изменить свойства объекта.

Определим функцию btn2Text, которая по нажатии кнопки 1 выводит текст "Нажата кнопка 2"
в lbl2  и изменяет его цвет. Обратите внимание, как изменить свойства объекта.
"""
def btn1Text(event):
    x = a.get ()
    y = b.get ()
    lbl1['text'] = str(x + y)
    lbl1['bg'] = "black"

def btn2Text(event):
    x = int (a.get ())
    y = int (b.get ())
    lbl2['text'] = str(x - y)
    lbl2['bg']="black"

root = Tk ()
root.geometry ("500x200")
lbl1 = Label (root, anchor = CENTER,
             bg = "blue",
             text = "Это сумма",
             bd = 2,
             fg = "white",
             pady = 5,
             padx = 5,
             width = 15,
             )
lbl1.place(x = 20, y = 20)
"""
Для позиционирования элемента управления используется 
метод place (x = <Смещение по x>, y = <Смещение по y>)
"""
lbl2 = Label (root, anchor = CENTER,
             bg="blue",
             text="Это разность",
             bd=2,
             fg="white",
             pady=5,
             padx=5,
             width = 15,
             )
lbl2.place(x = 20, y = 60)

"""
Кнопки в Python представлены элементом Button.
Свойства элементов Button и Label аналогичны.
"""
btn1 = Button (root, anchor = CENTER,
             bg = "grey",
             text = "Это кнопка +",
             bd = 2,
             fg = "white",
             pady = 5,
             padx = 5,
             )


btn2 = Button (root, anchor = CENTER,
               bg = "grey",
               text = "Это кнопка -",
               bd = 2,
               pady = 5,
               fg = "white",
               padx = 5,
               )
"""
Для позиционирования элемента управления используется 
метод place (x = <Смещение по x>, y = <Смещение по y>)
"""
btn1.place(x = 160, y = 20)
btn2.place(x = 160, y = 60)

"""
Типы событий
Можно выделить три основных типа событий: производимые мышью, 
нажатиями клавиш на клавиатуре, а также события, 
возникающие в результате изменения других графических объектов.
Событие описывается с помощью зарезервированных последовательностей ключевых слов.

События, производимые мышью
<Button-1> - щелчок левой кнопкой мыши
<Button-2> - щелчок средней кнопкой мыши
<Button-3> - щелчок правой кнопкой мыши
<Double-Button-1> - двойной клик левой кнопкой мыши
<Motion> - движение мыши

События, производимые с помощью клавиатуры
Буквенные клавиши можно записывать без угловых скобок (например, 'L').
Для неалфавитных клавиш существуют специальные зарезервированные слова
* <Return> - нажатие клавиши Enter;
* <space>- пробел;
* и т. д.
Сочетания клавиш пишутся через тире. Например:
* <Control-Shift> - одновременное нажатие клавиш Ctrl и Shift

Способ записи
Для указанных устройств и для элементов управления
вызывается метод bind, которому событие передается в качестве первого аргумента, 
а имя функции-обработчика события передается в качестве второго аргумента.
"""

btn1.bind("<Button-1>", btn1Text)
btn2.bind("<Button-1>", btn2Text)

"""
Зададим два поля для ввода числовых данных. 
Функцмя IntVar() создает переменную для ввода целых чисел
Entry создает поле  для ввода целых чисел
"""
a = IntVar()
b = IntVar()

Entry(root,
      textvariable=a,
      takefocus=True,
      ).place(x = 260, y = 20)

Entry(root,
      textvariable=b,
      takefocus=True,
      ).place(x = 260, y = 60)


root.mainloop ()