#!/usr/bin/python
# -*- coding: utf-8 -*-
""" Первая строка заголовка позволяет запускать файл как script,
вызывающий интерпретатор неявно, например. в контексте CGI.
Вторая строка - определение кодировки utf-8
Python по умолчанию будет использовать ASCII в качестве стандартной кодировки, если не будет другого
"""
# Создание окна с параметрами по умолчанию

"""Текстовые метки в Python представлены элементом Label. Этот элемент позволяет выводить статический текст 
без возможности редактирования.
Для создания элемента Label применяется конструктор, который принимает два параметра: Label(master, options)
Параметр master представляет ссылку на родительский контейнер, а параметр options представляет 
следующие именованные параметры
anchor: устанавливает позиционирование текста. Пример: 

NW      N       NE

W    CENTER      E

SW      S       SE

bg/background: фоновый цвет
bitmap: ссылка на изображение, которое отображается на метке
bd: толщина границы метки
fg/foreground: цвет текста
font: шрифт текста, например, font="Arial 14" - шрифт Arial высотой 14px
height: высота элемента
cursor: курсор указателя мыши при наведении на метку
image: ссылка на изображение, которое отображается на метке
justify: устанавливает выравнивание текста. Значение LEFT выравнивает текст по левому краю, CENTER - по центру, RIGHT - по правому краю
padx: отступ от границ элемента до его текста справа и слева
pady: отступ от границ элемента до его текста сверху и снизу
relief: определяет тип границы, по умолчанию значение FLAT
text: устанавливает текст метки
textvariable: устанавливает привязку к элементу StringVar
underline: указывает на номер символа в тексте кнопки, который подчеркивается. По умолчанию значение -1, то есть никакой символ не подчеркивается
width: ширина элемента
wraplength: при положительном значении строки текста будут переносится для вмещения в пространство элемента

"""
from Tkinter import *

root = Tk ()
root.geometry ("500x200")
lbl1 = Label (root, anchor = CENTER,
             bg = "blue",
             text = "Это метка 1",
             bd = 2,
             fg = "white",
             pady = 5,
             padx = 5,
             width = 15,
             ).place(x = 20, y = 20)

"""
Для позиционирования элемента управления используется 
метод place (x = <Смещение по x>, y = <Смещение по y>)
"""
lbl2 = Label (root, anchor=CENTER,
             bg="blue",
             text="Это метка 2",
             bd=2,
             fg="white",
             pady=5,
             padx=5,
             width = 15,
             ).place(x=20,y=60)

btn1 = Button (root, anchor = CENTER,
             bg = "grey",
             text = "Это кнопка 1",
             bd = 2,
             fg = "white",
             pady = 5,
             padx = 5,
             ).place(x = 160, y = 20)

"""
Для позиционирования элемента управления используется 
метод place (x = <Смещение по x>, y = <Смещение по y>)
"""
btn2 = Button (root, anchor = CENTER,
               bg = "grey",
               text = "Это кнопка 2",
               bd = 2,
               pady = 5,
               fg = "white",
               padx = 5,
               ).place(x = 160, y = 60)
# mainloop() запускает цикл обработки событий
root.mainloop ()